petsc-3.10.5 2019-03-28
Report Typos and Errors

# DMPlexDistributeOverlap

Add partition overlap to a distributed non-overlapping DM.

### Synopsis

    #include "petscdmplex.h"
    #include "petscdmlabel.h"
    PetscErrorCode DMPlexDistributeOverlap(DM dm, PetscInt overlap, PetscSF *sf, DM *dmOverlap)

Collective on DM

### Input Parameter

| dm | - The non-overlapping distrbuted DMPlex object
| overlap | - The overlap of partitions

### Output Parameter

| sf | - The PetscSF used for point distribution
| dmOverlap | - The overlapping distributed DMPlex object, or NULL

Note: If the mesh was not distributed, the return value is NULL.

The user can control the definition of adjacency for the mesh using DMPlexGetAdjacencyUseCone() and DMPlexSetAdjacencyUseClosure(). They should choose the combination appropriate for the function representation on the mesh.

### Keywords

mesh, elements

### See Also

DMPlexCreate(), DMPlexDistributeByFace(), DMPlexSetAdjacencyUseCone(), DMPlexSetAdjacencyUseClosure()

### Level

intermediate

### Location

src/dm/impls/plex/plexdistribute.c
Index of all DMPLEX routines
Table of Contents for all manual pages
Index of all manual pages